Skip to content

Initiate OIDC authentication

GET
/api/v1/auth/sso/oidc/init
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/auth/sso/oidc/init?tenant_id=example&provider=okta' \
--header 'X-API-Key: <X-API-Key>'

Generate an OIDC authorization URL for the client to redirect to.

tenant_id
required
Tenant Id

The tenant initiating OIDC login

string

The tenant initiating OIDC login

provider
Provider

OIDC provider: okta, azure_ad, google

string
default: okta

OIDC provider: okta, azure_ad, google

Successful Response

Media typeapplication/json
SSORedirectResponse

Response containing an SSO redirect URL.

Attributes: redirect_url: The URL to redirect the user to. tenant_id: The tenant for this SSO flow.

object
redirect_url
required
Redirect Url

URL to redirect the user to

string
tenant_id
required
Tenant Id

Tenant for this SSO flow

string
Examplegenerated
{
"redirect_url": "example",
"tenant_id": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}